:host {
  gridster-item {
    display: flex !important; //TODO check why display: flex is override by display: block ?
    transition: none;
    border-radius: 5px;
    border: 1px solid #d9d9d9;
    user-select: none;
    overflow: visible;
    -moz-user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;

    &.gridster-item-moving {
      cursor: grabbing;
    }

    &.highlighted {
      border: 2px solid rgba(24, 144, 255, 0.75);
      & > .identifier{
        width: 7px;
        height: calc(100% + 4px);
        margin-top: -2px;
        margin-left: -2px ;
      }
    }
  }

  .node-container {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
    font-size: 12px;
    font-weight: bold;
    padding: 12px;

    &:hover {
      cursor: pointer;
    }
  }

  .node-title {
    display: -webkit-box;
  }

  .node-actions {
    position: absolute;
    top: 0;
    right: 10px;
    transform: translate(25%, -50%);
    transform-origin: 100% 0;

    & > * {
      margin: 0 3px;
    }
  }

  .node-status {
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(25%, -50%);
    transform-origin: 100% 0;
    background-color: #fff;
    border-radius: 25%;
    border: 1px solid #d9d9d9;
  }

  .node-badge-icon {
    min-width: 20px;
    height: 20px;
    font-size: 14px;
    line-height: 1.75;
  }
}
